Bug 829325 - [abrt] gedit-3.4.2-1.fc17: type_check_is_value_type_U: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: type_check_is_value_type_U: Process /usr/bin/gedit...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:419fd4a19b179b53faedc7ff924...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 09:16 EDT by Rodion
Modified: 2013-08-01 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (1.44 KB, text/plain)
2012-06-06 09:16 EDT, Rodion
no flags Details
File: backtrace (28.42 KB, text/plain)
2012-06-06 09:16 EDT, Rodion
no flags Details
File: smolt_data (2.71 KB, text/plain)
2012-06-06 09:16 EDT, Rodion
no flags Details
File: maps (38.25 KB, text/plain)
2012-06-06 09:16 EDT, Rodion
no flags Details
File: dso_list (9.97 KB, text/plain)
2012-06-06 09:16 EDT, Rodion
no flags Details

  None (edit)
Description Rodion 2012-06-06 09:16:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit '/home/rodion/\xd0\xa1\xd0\xb0\xd0\xb9\xd1\x82/\xd0\xa0\xd0\xb5\xd0\xba\xd0\xb2\xd0\xb8\xd0\xb7\xd0\xb8\xd1\x82\xd1\x8b'
comment:        On opening a text file
crash_function: type_check_is_value_type_U
executable:     /usr/bin/gedit
kernel:         3.3.7-1.fc17.x86_64
pid:            2042
pwd:            /home/rodion
time:           Ср. 06 июня 2012 17:05:32
uid:            1000
username:       rodion

backtrace:      Text file, 29099 bytes
dso_list:       Text file, 10209 bytes
event_log:      Binary file, 1477 bytes
maps:           Text file, 39164 bytes
smolt_data:     Binary file, 2780 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/rodion/2

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x316f8 g_type_check_value_holds libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x36da9 g_value_get_int libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x18e538 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1d3250 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15d71 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16894 g_object_new libgobject-2.0.so.0 -
:7aa01bce2603464d5b0d94a1ccf9aebc89e79bfc 0x4b7e7 - [exe] -
:7aa01bce2603464d5b0d94a1ccf9aebc89e79bfc 0x502de - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x147a8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15d71 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x168ac g_object_new libgobject-2.0.so.0 -
:7aa01bce2603464d5b0d94a1ccf9aebc89e79bfc 0x283cf _start [exe] -

environ:
:INFINALITY_FT_AUTOHINT_HORIZONTAL_STEM_DARKEN_STRENGTH=10
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=rodion.bonyad
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:INFINALITY_FT_BOLD_EMBOLDEN_X_VALUE=0
:INFINALITY_FT_AUTOHINT_VERTICAL_STEM_DARKEN_STRENGTH=25
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:LD_PRELOAD=/usr/lib64/libXft-infinality/libXft.so.2:/usr/lib64/freetype-infinality/libfreetype.so.6:
:GNOME_KEYRING_CONTROL=/run/user/rodion/keyring-Tx4Dh3
:INFINALITY_FT_CONTRAST=0
:'IMSETTINGS_MODULE=X compose table'
:INFINALITY_FT_GRAYSCALE_FILTER_STRENGTH=0
:USER=rodion
:INFINALITY_FT_FRINGE_FILTER_STRENGTH=0
:INFINALITY_FT_BRIGHTNESS=0
:INFINALITY_FT_USE_VARIOUS_TWEAKS=true
:USERNAME=rodion
:'INFINALITY_FT_GAMMA_CORRECTION=0 100'
:MAIL=/var/spool/mail/rodion
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/rodion
:XMODIFIERS=@im=none
:'INFINALITY_FT_FILTER_PARAMS=11 22 38 22 11'
:GNOME_KEYRING_PID=767
:LANG=ru_RU.utf8
:INFINALITY_FT_USE_KNOWN_SETTINGS_ON_SELECTED_FONTS=true
:INFINALITY_FT_STEM_SNAPPING_SLIDING_SCALE=40
:GDM_LANG=ru_RU.utf8
:INFINALITY_FT_WINDOWS_STYLE_SHARPENING_STRENGTH=10
:INFINALITY_FT_CHROMEOS_STYLE_SHARPENING_STRENGTH=0
:INFINALITY_FT_AUTOHINT_SNAP_STEM_HEIGHT=100
:INFINALITY_FT_STEM_ALIGNMENT_STRENGTH=25
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/rodion
:SHLVL=1
:INFINALITY_FT_BOLD_EMBOLDEN_Y_VALUE=0
:INFINALITY_FT_GLOBAL_EMBOLDEN_Y_VALUE=0
:LOGNAME=rodion
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dE9psQWt7i,guid=d8335948ec807a2ce68b2d960000001a
:INFINALITY_FT_STEM_FITTING_STRENGTH=25
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:INFINALITY_FT_AUTOHINT_INCREASE_GLYPH_HEIGHTS=true
:WINDOWPATH=1
:INFINALITY_FT_GLOBAL_EMBOLDEN_X_VALUE=0
:XDG_RUNTIME_DIR=/run/user/rodion
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-rodion-Zn8AvU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/771,unix/unix:/tmp/.ICE-unix/771
:SSH_AUTH_SOCK=/run/user/rodion/keyring-Tx4Dh3/ssh
:GPG_AGENT_INFO=/run/user/rodion/keyring-Tx4Dh3/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:CUR_WIDTH=0
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2042
:DESKTOP_STARTUP_ID=nautilus-2012-rodion.bonyad-gedit-0_TIME1274790

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30468                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30468                30468                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/rodion/.xsession-errors
:pos:	3929
:flags:	0102002
:2:/home/rodion/.xsession-errors
:pos:	3929
:flags:	0102002
:3:socket:[29846]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[30777]
:pos:	0
:flags:	02004002
:6:socket:[29848]
:pos:	0
:flags:	02000002
:7:socket:[29849]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Jun  6 17:05:32 rodion kernel: [ 1275.869332] gedit[2042]: segfault at 2 ip 0000003b1ae316f8 sp 00007fff6a1a62d0 error 4 in libgobject-2.0.so.0.3200.3[3b1ae00000+4b000]
:Jun  6 17:05:33 rodion abrt[2047]: Saved core dump of pid 2042 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-06-17:05:32-2042 (32059392 bytes)

xsession_errors:
:abrt-applet: repeated problem in gedit-3.4.2-1.fc17, not showing the notification
:abrt-applet: repeated problem in gedit-3.4.2-1.fc17, not showing the notification
Comment 1 Rodion 2012-06-06 09:16:14 EDT
Created attachment 589879 [details]
File: event_log
Comment 2 Rodion 2012-06-06 09:16:17 EDT
Created attachment 589880 [details]
File: backtrace
Comment 3 Rodion 2012-06-06 09:16:20 EDT
Created attachment 589881 [details]
File: smolt_data
Comment 4 Rodion 2012-06-06 09:16:24 EDT
Created attachment 589882 [details]
File: maps
Comment 5 Rodion 2012-06-06 09:16:30 EDT
Created attachment 589884 [details]
File: dso_list
Comment 6 Fedora End Of Life 2013-07-03 23:06:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 06:11:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.